using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.AspNet.SignalR;

namespace GridInLineEditing.Infrastructure
{
    public class MyHub : Hub
    {

        public void LockRecord(int id)
        {
            Clients.All.lockRecord(new
            {
                id = id
            });
        }

        public void UnlockRecord(int id)
        {
            Clients.All.unlockRecord(new
            {
                id = id
            });
        }
    }
}